Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4577)
@@ -3,15 +3,14 @@
 ! This file is part of the PALM model system.
 !
-! PALM is free software: you can redistribute it and/or modify it under the
-! terms of the GNU General Public License as published by the Free Software
-! Foundation, either version 3 of the License, or (at your option) any later
-! version.
-!
-! PALM is distributed in the hope that it will be useful, but WITHOUT ANY
-! WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR
-! A PARTICULAR PURPOSE.  See the GNU General Public License for more details.
-!
-! You should have received a copy of the GNU General Public License along with
-! PALM. If not, see <http://www.gnu.org/licenses/>.
+! PALM is free software: you can redistribute it and/or modify it under the terms of the GNU General
+! Public License as published by the Free Software Foundation, either version 3 of the License, or
+! (at your option) any later version.
+!
+! PALM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the
+! implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+! Public License for more details.
+!
+! You should have received a copy of the GNU General Public License along with PALM. If not, see
+! <http://www.gnu.org/licenses/>.
 !
 ! Copyright 2019-2020 Leibniz Universitaet Hannover
@@ -25,6 +24,9 @@
 ! -----------------
 ! $Id$
+! file re-formatted to follow the PALM coding standard
+!
+! 4500 2020-04-17 10:12:45Z suehring
 ! Avoid uninitialized variables
-! 
+!
 ! 4481 2020-03-31 18:55:54Z maronga
 ! Enable character-array output
@@ -72,24 +74,24 @@
     USE kinds
 
-    USE data_output_netcdf4_module, &
-       ONLY: netcdf4_init_dimension, &
-             netcdf4_get_error_message, &
-             netcdf4_stop_file_header_definition, &
-             netcdf4_init_module, &
-             netcdf4_init_variable, &
-             netcdf4_finalize, &
-             netcdf4_open_file, &
-             netcdf4_write_attribute, &
+    USE data_output_netcdf4_module,                                                                &
+       ONLY: netcdf4_finalize,                                                                     &
+             netcdf4_get_error_message,                                                            &
+             netcdf4_init_dimension,                                                               &
+             netcdf4_init_module,                                                                  &
+             netcdf4_init_variable,                                                                &
+             netcdf4_open_file,                                                                    &
+             netcdf4_stop_file_header_definition,                                                  &
+             netcdf4_write_attribute,                                                              &
              netcdf4_write_variable
 
-    USE data_output_binary_module, &
-       ONLY: binary_finalize, &
-             binary_get_error_message, &
-             binary_init_dimension, &
-             binary_stop_file_header_definition, &
-             binary_init_module, &
-             binary_init_variable, &
-             binary_open_file, &
-             binary_write_attribute, &
+    USE data_output_binary_module,                                                                 &
+       ONLY: binary_finalize,                                                                      &
+             binary_get_error_message,                                                             &
+             binary_init_dimension,                                                                &
+             binary_init_module,                                                                   &
+             binary_init_variable,                                                                 &
+             binary_open_file,                                                                     &
+             binary_stop_file_header_definition,                                                   &
+             binary_write_attribute,                                                               &
              binary_write_variable
 
@@ -113,9 +115,13 @@
        CHARACTER(LEN=charlen)                            ::  data_type = ''       !< data type
        CHARACTER(LEN=charlen)                            ::  name                 !< variable name
+       CHARACTER(LEN=charlen), DIMENSION(:), ALLOCATABLE ::  dimension_names      !< list of
+                                                                                  !< dimension names used by variable
        INTEGER                                           ::  id = no_id           !< id within file
-       LOGICAL                                           ::  is_global = .FALSE.  !< true if global variable
-       CHARACTER(LEN=charlen), DIMENSION(:), ALLOCATABLE ::  dimension_names      !< list of dimension names used by variable
-       INTEGER,                DIMENSION(:), ALLOCATABLE ::  dimension_ids        !< list of dimension ids used by variable
-       TYPE(attribute_type),   DIMENSION(:), ALLOCATABLE ::  attributes           !< list of attributes
+       LOGICAL                                           ::  is_global = .FALSE.  !< true if global
+                                                                                  !< variable
+       INTEGER,                DIMENSION(:), ALLOCATABLE ::  dimension_ids        !< list of
+                                                                                  !< dimension ids used by variable
+       TYPE(attribute_type),   DIMENSION(:), ALLOCATABLE ::  attributes           !< list of
+                                                                                  !< attributes
     END TYPE variable_type
 
@@ -123,26 +129,45 @@
        CHARACTER(LEN=charlen)                     ::  data_type = ''        !< data type
        CHARACTER(LEN=charlen)                     ::  name                  !< dimension name
-       INTEGER                                    ::  id = no_id            !< dimension id within file
+       INTEGER                                    ::  id = no_id            !< dimension id within
+                                                                            !< file
        INTEGER                                    ::  length                !< length of dimension
-       INTEGER                                    ::  length_mask           !< length of masked dimension
-       INTEGER                                    ::  variable_id = no_id   !< associated variable id within file
+       INTEGER                                    ::  length_mask           !< length of masked
+                                                                            !< dimension
+       INTEGER                                    ::  variable_id = no_id   !< associated variable
+                                                                            !< id within file
        LOGICAL                                    ::  is_masked = .FALSE.   !< true if masked
-       INTEGER,         DIMENSION(2)              ::  bounds                !< lower and upper bound of dimension
-       INTEGER,         DIMENSION(:), ALLOCATABLE ::  masked_indices        !< list of masked indices of dimension
-       INTEGER(KIND=1), DIMENSION(:), ALLOCATABLE ::  masked_values_int8    !< masked dimension values if 16bit integer
-       INTEGER(KIND=2), DIMENSION(:), ALLOCATABLE ::  masked_values_int16   !< masked dimension values if 16bit integer
-       INTEGER(KIND=4), DIMENSION(:), ALLOCATABLE ::  masked_values_int32   !< masked dimension values if 32bit integer
-       INTEGER(iwp),    DIMENSION(:), ALLOCATABLE ::  masked_values_intwp   !< masked dimension values if working-precision int
-       INTEGER(KIND=1), DIMENSION(:), ALLOCATABLE ::  values_int8           !< dimension values if 16bit integer
-       INTEGER(KIND=2), DIMENSION(:), ALLOCATABLE ::  values_int16          !< dimension values if 16bit integer
-       INTEGER(KIND=4), DIMENSION(:), ALLOCATABLE ::  values_int32          !< dimension values if 32bit integer
-       INTEGER(iwp),    DIMENSION(:), ALLOCATABLE ::  values_intwp          !< dimension values if working-precision integer
+       INTEGER,         DIMENSION(2)              ::  bounds                !< lower and upper bound
+                                                                            !< of dimension
+       INTEGER,         DIMENSION(:), ALLOCATABLE ::  masked_indices        !< list of masked
+                                                                            !< indices of dimension
+       INTEGER(KIND=1), DIMENSION(:), ALLOCATABLE ::  masked_values_int8    !< masked dimension
+                                                                            !< values if 16bit integer
+       INTEGER(KIND=2), DIMENSION(:), ALLOCATABLE ::  masked_values_int16   !< masked dimension
+                                                                            !< values if 16bit integer
+       INTEGER(KIND=4), DIMENSION(:), ALLOCATABLE ::  masked_values_int32   !< masked dimension
+                                                                            !< values if 32bit integer
+       INTEGER(iwp),    DIMENSION(:), ALLOCATABLE ::  masked_values_intwp   !< masked dimension
+                                                                            !< values if working-precision int
+       INTEGER(KIND=1), DIMENSION(:), ALLOCATABLE ::  values_int8           !< dimension values if
+                                                                            !< 16bit integer
+       INTEGER(KIND=2), DIMENSION(:), ALLOCATABLE ::  values_int16          !< dimension values if
+                                                                            !< 16bit integer
+       INTEGER(KIND=4), DIMENSION(:), ALLOCATABLE ::  values_int32          !< dimension values if
+                                                                            !< 32bit integer
+       INTEGER(iwp),    DIMENSION(:), ALLOCATABLE ::  values_intwp          !< dimension values if
+                                                                            !< working-precision integer
        LOGICAL,         DIMENSION(:), ALLOCATABLE ::  mask                  !< mask
-       REAL(KIND=4),    DIMENSION(:), ALLOCATABLE ::  masked_values_real32  !< masked dimension values if 32bit real
-       REAL(KIND=8),    DIMENSION(:), ALLOCATABLE ::  masked_values_real64  !< masked dimension values if 64bit real
-       REAL(wp),        DIMENSION(:), ALLOCATABLE ::  masked_values_realwp  !< masked dimension values if working-precision real
-       REAL(KIND=4),    DIMENSION(:), ALLOCATABLE ::  values_real32         !< dimension values if 32bit real
-       REAL(KIND=8),    DIMENSION(:), ALLOCATABLE ::  values_real64         !< dimension values if 64bit real
-       REAL(wp),        DIMENSION(:), ALLOCATABLE ::  values_realwp         !< dimension values if working-precision real
+       REAL(KIND=4),    DIMENSION(:), ALLOCATABLE ::  masked_values_real32  !< masked dimension
+                                                                            !< values if 32bit real
+       REAL(KIND=8),    DIMENSION(:), ALLOCATABLE ::  masked_values_real64  !< masked dimension
+                                                                            !< values if 64bit real
+       REAL(wp),        DIMENSION(:), ALLOCATABLE ::  masked_values_realwp  !< masked dimension
+                                                                            !< values if working-precision real
+       REAL(KIND=4),    DIMENSION(:), ALLOCATABLE ::  values_real32         !< dimension values if
+                                                                            !< 32bit real
+       REAL(KIND=8),    DIMENSION(:), ALLOCATABLE ::  values_real64         !< dimension values if
+                                                                            !< 64bit real
+       REAL(wp),        DIMENSION(:), ALLOCATABLE ::  values_realwp         !< dimension values if
+                                                                            !< working-precision real
        TYPE(attribute_type), DIMENSION(:), ALLOCATABLE ::  attributes       !< list of attributes
     END TYPE dimension_type
@@ -159,6 +184,6 @@
 
 
+    CHARACTER(LEN=800)     ::  internal_error_message = ''  !< string containing the last error message
     CHARACTER(LEN=charlen) ::  output_file_suffix = ''      !< file suffix added to each file name
-    CHARACTER(LEN=800)     ::  internal_error_message = ''  !< string containing the last error message
     CHARACTER(LEN=800)     ::  temp_string                  !< dummy string
 
@@ -296,8 +321,8 @@
  FUNCTION dom_def_file( file_name, file_format ) RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_file'  !< name of this routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_name    !< name of file to be created
     CHARACTER(LEN=*), INTENT(IN) ::  file_format  !< format of file to be created
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_file'  !< name of this routine
 
     INTEGER ::  f             !< loop index
@@ -385,9 +410,9 @@
                        mask ) RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_dim'  !< name of this routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_name       !< name of file
     CHARACTER(LEN=*), INTENT(IN) ::  dimension_name  !< name of dimension
     CHARACTER(LEN=*), INTENT(IN) ::  output_type     !< data type of dimension variable in output file
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_dim'  !< name of this routine
 
     INTEGER ::  d             !< loop index
@@ -416,7 +441,7 @@
     return_value = 0
 
-    CALL internal_message( 'debug', routine_name //                    &
-                           ': define dimension ' //                    &
-                           '(dimension "' // TRIM( dimension_name ) // &
+    CALL internal_message( 'debug', routine_name //                                                &
+                           ': define dimension ' //                                                &
+                           '(dimension "' // TRIM( dimension_name ) //                             &
                            '", file "' // TRIM( file_name ) // '")' )
 
@@ -427,6 +452,5 @@
     IF ( SIZE( bounds ) == 1 )  THEN
 !
-!--    Dimension has only lower bound, which means it changes its size
-!--    during simulation.
+!--    Dimension has only lower bound, which means it changes its size during simulation.
 !--    Set length to -1 as indicator.
        dimension%bounds(:) = bounds(1)
@@ -435,7 +459,7 @@
        IF ( PRESENT( mask ) )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                      &
-                                 ': unlimited dimensions cannot be masked ' // &
-                                 '(dimension "' // TRIM( dimension_name ) //   &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': unlimited dimensions cannot be masked ' //                     &
+                                 '(dimension "' // TRIM( dimension_name ) //                       &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -512,7 +536,7 @@
        ELSE
           return_value = 1
-          CALL internal_message( 'error', routine_name //                    &
-                                 ': no values given ' //                     &
-                                 '(dimension "' // TRIM( dimension_name ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': no values given ' //                                           &
+                                 '(dimension "' // TRIM( dimension_name ) //                       &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -520,7 +544,7 @@
        IF ( return_value == 2 )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                               &
-                                 ': number of values and given bounds do not match ' // &
-                                 '(dimension "' // TRIM( dimension_name ) //            &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': number of values and given bounds do not match ' //            &
+                                 '(dimension "' // TRIM( dimension_name ) //                       &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -533,7 +557,7 @@
              IF ( ALL( mask ) )  THEN
 
-                CALL internal_message( 'debug', routine_name //                              &
-                                       ': mask contains only TRUE values. Ignoring mask ' // &
-                                       '(dimension "' // TRIM( dimension_name ) //           &
+                CALL internal_message( 'debug', routine_name //                                    &
+                                       ': mask contains only TRUE values. Ignoring mask ' //       &
+                                       '(dimension "' // TRIM( dimension_name ) //                 &
                                        '", file "' // TRIM( file_name ) // '")!' )
 
@@ -577,5 +601,5 @@
                    ALLOCATE( dimension%masked_values_int32(0:dimension%length_mask-1) )
                    j = 0
-                   DO  i =dimension%bounds(1), dimension%bounds(2)
+                   DO  i = dimension%bounds(1), dimension%bounds(2)
                       IF ( dimension%mask(i) )  THEN
                          dimension%masked_values_int32(j) = dimension%values_int32(i)
@@ -639,7 +663,7 @@
           ELSE
              return_value = 1
-             CALL internal_message( 'error', routine_name //                           &
-                                    ': size of mask and given bounds do not match ' // &
-                                    '(dimension "' // TRIM( dimension_name ) //        &
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': size of mask and given bounds do not match ' //             &
+                                    '(dimension "' // TRIM( dimension_name ) //                    &
                                     '", file "' // TRIM( file_name ) // '")!' )
           ENDIF
@@ -650,7 +674,7 @@
 
        return_value = 1
-       CALL internal_message( 'error', routine_name //                                       &
-                              ': at least one but no more than two bounds must be given ' // &
-                              '(dimension "' // TRIM( dimension_name ) //                    &
+       CALL internal_message( 'error', routine_name //                                             &
+                              ': at least one but no more than two bounds must be given ' //       &
+                              '(dimension "' // TRIM( dimension_name ) //                          &
                               '", file "' // TRIM( file_name ) // '")!' )
 
@@ -667,8 +691,8 @@
 
                 return_value = 1
-                CALL internal_message( 'error', routine_name //                      &
-                                       ': file already initialized. ' //             &
-                                       'No further dimension definition allowed ' // &
-                                       '(dimension "' // TRIM( dimension_name ) //   &
+                CALL internal_message( 'error', routine_name //                                    &
+                                       ': file already initialized. ' //                           &
+                                       'No further dimension definition allowed ' //               &
+                                       '(dimension "' // TRIM( dimension_name ) //                 &
                                        '", file "' // TRIM( file_name ) // '")!' )
                 EXIT
@@ -686,9 +710,9 @@
                       IF ( files(f)%variables(i)%name == dimension%name )  THEN
                          return_value = 1
-                         CALL internal_message( 'error', routine_name //                    &
-                                 ': file already has a variable of this name defined. ' //  &
-                                 'Defining a dimension of the same name is not allowed ' // &
-                                 '(dimension "' // TRIM( dimension_name ) //                &
-                                 '", file "' // TRIM( file_name ) // '")!' )
+                         CALL internal_message( 'error', routine_name //                           &
+                                        ': file already has a variable of this name defined. ' //  &
+                                        'Defining a dimension of the same name is not allowed ' // &
+                                        '(dimension "' // TRIM( dimension_name ) //                &
+                                       '", file "' // TRIM( file_name ) // '")!' )
                          EXIT
                       ENDIF
@@ -704,8 +728,8 @@
                       IF ( files(f)%dimensions(d)%name == dimension%name )  THEN
                          return_value = 1
-                         CALL internal_message( 'error', routine_name //     &
-                                 ': dimension already exists in file ' //    &
-                                 '(dimension "' // TRIM( dimension_name ) // &
-                                 '", file "' // TRIM( file_name ) // '")!' )
+                         CALL internal_message( 'error', routine_name //                           &
+                                                ': dimension already exists in file ' //           &
+                                                '(dimension "' // TRIM( dimension_name ) //        &
+                                                '", file "' // TRIM( file_name ) // '")!' )
                          EXIT
                       ENDIF
@@ -736,6 +760,6 @@
        IF ( f > nfiles )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                                     &
-                                 ': file not found (dimension "' // TRIM( dimension_name ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': file not found (dimension "' // TRIM( dimension_name ) //      &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -750,5 +774,5 @@
 !> Add variable to database.
 !> If a variable is identical for each MPI rank, the optional argument 'is_global' should be set to
-!> TRUE. This flags the variable to be a global variable and is later only written once by the
+!> .TRUE. This flags the variable to be a global variable and is later only written once by the
 !> master output rank.
 !> Example call:
@@ -770,12 +794,12 @@
 !>          ALLOCATE( u(<z>,<y>,<x>) )
 !--------------------------------------------------------------------------------------------------!
- FUNCTION dom_def_var( file_name, variable_name, dimension_names, output_type, is_global ) &
+ FUNCTION dom_def_var( file_name, variable_name, dimension_names, output_type, is_global )         &
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_var'  !< name of this routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_name      !< name of file
+    CHARACTER(LEN=*), INTENT(IN) ::  output_type    !< data type of variable
     CHARACTER(LEN=*), INTENT(IN) ::  variable_name  !< name of variable
-    CHARACTER(LEN=*), INTENT(IN) ::  output_type    !< data type of variable
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'dom_def_var'  !< name of this routine
 
     CHARACTER(LEN=*), DIMENSION(:), INTENT(IN) ::  dimension_names  !< list of dimension names
@@ -797,6 +821,6 @@
     found = .FALSE.
 
-    CALL internal_message( 'debug', routine_name //                                     &
-                           ': define variable (variable "' // TRIM( variable_name ) //  &
+    CALL internal_message( 'debug', routine_name //                                                &
+                           ': define variable (variable "' // TRIM( variable_name ) //             &
                            '", file "' // TRIM( file_name ) // '")' )
 
@@ -824,8 +848,8 @@
 
              return_value = 1
-             CALL internal_message( 'error', routine_name //                                  &
-                     ': file already initialized. No further variable definition allowed ' // &
-                     '(variable "' // TRIM( variable_name ) //                                &
-                     '", file "' // TRIM( file_name ) // '")!' )
+             CALL internal_message( 'error', routine_name //                                       &
+                          ': file already initialized. No further variable definition allowed ' // &
+                          '(variable "' // TRIM( variable_name ) //                                &
+                          '", file "' // TRIM( file_name ) // '")!' )
              EXIT
 
@@ -836,9 +860,9 @@
                 IF ( files(f)%dimensions(d)%name == variable%name )  THEN
                    return_value = 1
-                   CALL internal_message( 'error', routine_name //                    &
-                           ': file already has a dimension of this name defined. ' // &
-                           'Defining a variable of the same name is not allowed ' //  &
-                           '(variable "' // TRIM( variable_name ) //                  &
-                           '", file "' // TRIM( file_name ) // '")!' )
+                   CALL internal_message( 'error', routine_name //                                 &
+                                        ': file already has a dimension of this name defined. ' // &
+                                        'Defining a variable of the same name is not allowed ' //  &
+                                        '(variable "' // TRIM( variable_name ) //                  &
+                                        '", file "' // TRIM( file_name ) // '")!' )
                    EXIT
                 ENDIF
@@ -857,9 +881,9 @@
                    IF ( .NOT. found )  THEN
                       return_value = 1
-                      CALL internal_message( 'error', routine_name //                            &
-                              ': required dimension "'//  TRIM( variable%dimension_names(i) ) // &
-                              '" for variable is not defined ' //                                &
-                              '(variable "' // TRIM( variable_name ) //                          &
-                              '", file "' // TRIM( file_name ) // '")!' )
+                      CALL internal_message( 'error', routine_name //                              &
+                                 ': required dimension "'// TRIM( variable%dimension_names(i) ) // &
+                                 '" for variable is not defined ' //                               &
+                                 '(variable "' // TRIM( variable_name ) //                         &
+                                 '", file "' // TRIM( file_name ) // '")!' )
                       EXIT
                    ENDIF
@@ -870,8 +894,8 @@
 
              return_value = 1
-             CALL internal_message( 'error', routine_name //                      &
-                     ': no dimensions defined in file. Cannot define variable '// &
-                     '(variable "' // TRIM( variable_name ) //                    &
-                     '", file "' // TRIM( file_name ) // '")!' )
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': no dimensions defined in file. Cannot define variable '//   &
+                                    '(variable "' // TRIM( variable_name ) //                      &
+                                    '", file "' // TRIM( file_name ) // '")!' )
 
           ENDIF
@@ -891,8 +915,8 @@
                    IF ( files(f)%variables(i)%name == variable%name )  THEN
                       return_value = 1
-                      CALL internal_message( 'error', routine_name //   &
-                              ': variable already exists '//            &
-                              '(variable "' // TRIM( variable_name ) // &
-                              '", file "' // TRIM( file_name ) // '")!' )
+                      CALL internal_message( 'error', routine_name //                              &
+                                             ': variable already exists '//                        &
+                                             '(variable "' // TRIM( variable_name ) //             &
+                                             '", file "' // TRIM( file_name ) // '")!' )
                       EXIT
                    ENDIF
@@ -926,6 +950,6 @@
     IF ( f > nfiles )  THEN
        return_value = 1
-       CALL internal_message( 'error', routine_name //                                   &
-                              ': file not found (variable "' // TRIM( variable_name ) // &
+       CALL internal_message( 'error', routine_name //                                             &
+                              ': file not found (variable "' // TRIM( variable_name ) //           &
                               '", file "' // TRIM( file_name ) // '")!' )
     ENDIF
@@ -961,6 +985,6 @@
              RESULT( return_value )
 
+    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  file_name               !< name of file
-    CHARACTER(LEN=*),      INTENT(IN)           ::  attribute_name          !< name of attribute
     CHARACTER(LEN=*),      INTENT(IN)           ::  value                   !< attribute value
     CHARACTER(LEN=*),      INTENT(IN), OPTIONAL ::  variable_name           !< name of variable
@@ -995,7 +1019,7 @@
     ENDIF
 
-    return_value = save_attribute_in_database( file_name=TRIM( file_name ), &
-                      variable_name=TRIM( variable_name_internal ),         &
-                      attribute=attribute, append=append_internal )
+    return_value = save_attribute_in_database( file_name=TRIM( file_name ),                        &
+                                               variable_name=TRIM( variable_name_internal ),       &
+                                               attribute=attribute, append=append_internal )
 
  END FUNCTION dom_def_att_char
